<?php
	$quitar_enviados = -1;
	//Vamos a empezar cogiendo las variables que nos manden, la página y el escaparate principal
	//Si no está definida la variable conexionBD es porque estamos haciendo la consulta con javascript, vamos a comprobarlo y si no cargamos las funciones
	$correccion_ruta_img = "";
	if (!isset($conexionBD)){
		//Pagina de login de usuario
		$pathinfo = pathinfo($_SERVER['PHP_SELF']);
		$extension = $pathinfo['extension'];
		
		ini_set('include_path', "../.." . PATH_SEPARATOR . get_include_path());
		include("pre.php");
        include_once("comunes/funciones/funciones_idioma.php");
		include("comunes/funciones/funciones_precios.php");
		//include("comunes/widgets/articulo.php");
		include("comunes/lista_widgets.php");
		//ini_set('include_path', "../.." . PATH_SEPARATOR . get_include_path());
		//include("comunes/funciones/funciones_generales.php");
		//cargar_configuracion();
		$conexionBD = dame_valor_variable_global("conexionBD", false);
		$quitar_enviados = dame_valor_variable_global("quitar_enviados", 0);
		$correccion_ruta_img = "../";
	}
	$pagina = 0;
	if (isset($_POST['escaparate'])){
		$escaparate_principal = $_POST['escaparate'];
		if (isset($_POST['pagina'])){
			$pagina = $_POST['pagina'];
		}
	}
	//Variables que necesito
	$total_elementos = 0;
	$separador = "|";
	$limite = 8;
	$condicion_enviados = "";
	if ($quitar_enviados){
		$condicion_enviados = " AND fecha_envio_suscripcion = '0000-00-00 00:00:00' ";
	}
	$campos = "articulo.codigo cod_arti, stock, pvp, ean, referencia, isbn, autor, editorial, coleccion, pvpoferta,
					REPLACE( articulo.nombre, '".'"'."', '&quot;' ) nombre_arti, 
					articulo.tipo tipo_arti, articulo.familia familia_arti, dto_maximo, familia.grupo grupo_familia, articulo.iva iva_articulo,
					SUBSTRING(REPLACE( REPLACE( REPLACE( traduccion, '<br>', ' ' ),'<br/>', ' ' ),'<br />', ' ' ), 1) articulo_tracuccion, pendiente_envio_suscripcion, fecha_envio_suscripcion ";//He quitado la variable $tam_descrip de la consulta.
		$sentencia_sql = 'SELECT "A", orden, 0,';
		$sentencia_sql.= "$campos
						FROM ((articulo LEFT JOIN traducarti ON articulo.codigo = traducarti.articulo)
						 LEFT JOIN familia ON articulo.familia = familia.codigo),
							lescaparate
						WHERE (articulo.codigo = lescaparate.articulo)
						AND (cescaparateweb = $escaparate_principal)
						$condicion_enviados
						$cad_no_web
						AND (lescaparate.visible =1)
						UNION\n";
		$sentencia_sql.='SELECT "B", 0, articulo.fecha_alta, ';
		$sentencia_sql.="$campos
						FROM familiasesca, ((articulo LEFT JOIN traducarti ON articulo.codigo = traducarti.articulo)
						 LEFT JOIN familia ON articulo.familia = familia.codigo)
						WHERE (articulo.familia = familiasesca.familia)
						AND (familiasesca.escaparate = $escaparate_principal)
						$condicion_enviados
						$cad_no_web
						UNION\n";
		$sentencia_sql.='SELECT "B", 0, articulo.fecha_alta, ';
		$sentencia_sql.="$campos
						FROM temasesca, temasarti, ((`articulo` LEFT JOIN traducarti ON articulo.codigo = traducarti.articulo)
						 LEFT JOIN familia ON articulo.familia = familia.codigo)
						WHERE (temasarti.tema = temasesca.tema)
						AND (escaparate = $escaparate_principal)
						AND (temasarti.articulo = articulo.codigo)
						$condicion_enviados
						$cad_no_web
					ORDER BY 1 , 2 ASC, 3 DESC ";
					
					//echo $sentencia_sql."<br> ************************************************************************<br>";
		if ($conexionBD){
			//Voy a contar cuantos hay
			$sentencia_contador="SELECT COUNT( * ) FROM (".$sentencia_sql.") consulta";
			if ($resultado = mysqli_query($conexionBD, $sentencia_contador)){
				//echo $sentencia_contador."<br> ************************************************************************<br>";
				if ($fila = mysqli_fetch_array($resultado)){
					$total_elementos = $fila[0];
				}
			}
		}
		$sentencia_sql.=" LIMIT " . $pagina * 12 . ", 12";

		//echo $sentencia_sql."<br> ************************************************************************<br>";
		if ($resultado = mysqli_query($conexionBD, $sentencia_sql)){
			while( $fila = mysqli_fetch_array($resultado) ){
				$fecha_envio_suscripcion = $fila['fecha_envio_suscripcion'];
				$pendiente_envio_suscripcion = $fila['pendiente_envio_suscripcion'];
				$id_articulo = 'id="articulo_' .  $fila['cod_arti'] . '"';
				$texto_boton = "deseleccionar";
				$estado_envio = "No enviado";
				if ($pendiente_envio_suscripcion == 1){
					$clase_articulo = 'class="articulo_seleccionado"';
				}else if ($fecha_envio_suscripcion != "0000-00-00 00:00:00"){
					$clase_articulo = 'class="articulo"';
					$texto_boton = "seleccionar";
				}else{
					$texto_boton = "seleccionar";
					$clase_articulo = 'class="enviado"';
				}
?>
				<div <?=$clase_articulo;?> <?=$id_articulo;?>>
				<!--<img class="mini_loading" id="cargando_<?=$fila['cod_arti'];?>" src="images/loading.gif" />-->
				<div class="capa_transparente" id="transparente_<?=$fila['cod_arti'];?>"></div>
					<h3><?=htmlentities($fila['nombre_arti']);?></h3>
					<h4><?=htmlentities($fila['autor']);?></h4>
					<h5><?=htmlentities($fila['editorial']);?></h5>
<?php
					if($fecha_envio_suscripcion != "0000-00-00 00:00:00"){
						$estado_envio = "Enviado";
					}
?>
					<h6><?=$estado_envio;?></h6>
<?php
					if (file_exists($correccion_ruta_img . '../portadas/' . $fila["cod_arti"] . '.jpg')){
?>
						<img src="<?=Shop::$configuracion->url;?>portadas/miniaturas/<?=$fila["cod_arti"];?>.jpg" alt="<?=$fila["nombre_arti"];?>"/>
<?php
					}else{
?>
						<img src="<?=Shop::$configuracion->url;?>admin/images/nofoto.jpg" />
<?php
					}
?>
					<a href="javascript:void(0);" class="deseleccionar_producto" id="deseleccionar_<?=$fila['cod_arti'];?>"><?=$texto_boton;?></a>
				</div>
<?php
			}
		}
					

	//Lo primero es ver si hay que hacer paginación
	$elementos_por_pagina = 12;
	$pagina_actual = $pagina;
	//$total_elementos = dame_valor_variable_global("total_elementos", 0);
	if ( $total_elementos > 0 ){
?>
    <p>
<?php
		//Vamos a componer la función javascript a ejecutar
		$js_url = Shop::$configuracion->url . "admin/comunes/cuadricula_articulos.php";
		$js_parametros = "escaparate=" . $escaparate_principal . "&pagina=";
		$js_funcion = 'function(contenido){$' . "('.loading').hide();  " . '$' . "('#lista_completa').html(contenido); listener_desasociar();}";
		//Voy a inicializar la variable de retorno de la función
		$retorno = "";
		//El valor de la última página (empezando por 1, como vamos a empezar por 0, hay que quitarle 1
		$ultima_pagina = floor($total_elementos / $elementos_por_pagina);//Redondeando hacia abajo
		if ( ($total_elementos % $elementos_por_pagina) > 0){
			$ultima_pagina++;
		}
		$ultima_pagina--;
		//Vamos a ver las páginas de inicio y de fin en el bucle de la paginación
		$inicio = $pagina_actual - round($limite/2);
		if ($inicio <= 0){
			$fin = $limite;
			$inicio = 0;
			if ($fin >= $ultima_pagina){
				$fin = $ultima_pagina;
			}
		}else{
			$fin = $pagina_actual + round($limite/2);
			if ($fin >= $ultima_pagina){
				$inicio = $ultima_pagina - $limite;
				$fin = $ultima_pagina;
			}
			if ($inicio < 0){
				$inicio = 0;
			}
		}
		//Vamos con el bucle
		for ($i=$inicio;$i<=$fin;$i++){
			if ($i != $pagina){
				$retorno.='<a href="javascript:void(0);" alt="' . $i . ' p&aacute;gina" onclick="javascript: $' . "('#lista_completa').html(''); " . '$' . "('.loading').show();" . 'realizar_solicitud('. "'" . $js_url . "'" . ', ' . "'" . $js_parametros . $i . "&quitar_enviados=' + quitar_enviados" . ', ' . $js_funcion . ');">' . ($i+1) . "</a>";
			}else{
				$retorno .= $i+1;
			}
			if ($i != $fin){
				$retorno .= $separador;
			}
		}
		//Vamos a añadir el enlace al primer elemento y a los 10 anteriores al actual (si procede)
		if ($inicio > 5){
			$enlace_pag = ($pagina_actual - $limite);
			$retorno = '<a href="javascript:void(0);" alt="mas_paginas" title="menos" class="atras" onclick="javascript: $' . "('#lista_completa').html(''); " . '$' . "('.loading').show();" . 'realizar_solicitud('. "'" . $js_url . "'" . ', ' . "'" . $js_parametros . $enlace_pag . "quitar_enviados=' + quitar_enviados'" . ', ' . $js_funcion . ');">
				<img src="' . Shop::$configuracion->url . 'admin/images/arrow3.png" width="8" height="10" />
			</a>' . $retorno;
		}
		/*if ($inicio != 0){
			$retorno = '<a href="' . $enlace . '" title="ir a la primera" class="inicio">Inicio</a>' . $retorno;
		}*/
		if ($fin < ($ultima_pagina - 7)){
			$enlace_pag = ($pagina_actual + $limite);
			$retorno.= '<a href="javascript:void(0);" alt="mas_paginas" title="m&aacute;s" class="adelante" onclick="javascript: $' . "('#lista_completa').html(''); " . '$' . "('.loading').show();" . 'realizar_solicitud('. "'" . $js_url . "'" . ', ' . "'" . $js_parametros . $enlace_pag . "quitar_enviados=' + quitar_enviados'" . ', ' . $js_funcion . ');">
				<img src="images/arrow-b2-2.png" width="8" height="10" />
			</a>';
		}
		/*if ($fin != $ultima_pagina){
			$retorno.= '<a href="' . $enlace . "&pagina=$ultima_pagina" .'" alt="siguiente" title="ir a la &uacute;ltima" class="ultima"><img src="images/arrow-b2-2.png" width="8" height="10" /></a>';
		}*/
		echo($retorno);
?>
		</p>
<?php	
	}
?>
